CRMchat APIBeta
Telegram APIMessages

messages.getAttachMenuBot

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/messages.getAttachMenuBot

Returns attachment menu entry for a bot mini app that can be launched from the attachment menu »

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.getAttachMenuBot" \  -H "Content-Type: application/json" \  -d '{    "params": {      "bot": {        "_": "inputUserEmpty"      }    }  }'
{  "result": {    "_": "attachMenuBotsBot",    "bot": {      "_": "attachMenuBot",      "inactive": true,      "hasSettings": true,      "requestWriteAccess": true,      "showInAttachMenu": true,      "showInSideMenu": true,      "sideMenuDisclaimerNeeded": true,      "botId": 0,      "shortName": "string",      "peerTypes": [        {          "_": "attachMenuPeerTypeSameBotPM"        }      ],      "icons": [        {          "_": "attachMenuBotIcon",          "name": "string",          "icon": {            "_": "documentEmpty",            "id": "string"          },          "colors": [            {              "_": "attachMenuBotIconColor",              "name": "string",              "color": 0            }          ]        }      ]    },    "users": [      {        "_": "userEmpty",        "id": 0      }    ]  }}